JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const devboxExecutionDetailView = await client.devboxes.writeFileContents('id', {
contents: 'contents',
file_path: 'file_path',
});
console.log(devboxExecutionDetailView.devbox_id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
devbox_execution_detail_view = client.devboxes.write_file_contents(
id="id",
contents="contents",
file_path="file_path",
)
print(devbox_execution_detail_view.devbox_id)curl --request POST \
--url https://api.runloop.ai/v1/devboxes/{id}/write_file_contents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_path": "<string>",
"contents": "<string>"
}
'
{
"devbox_id": "<string>",
"stdout": "<string>",
"stderr": "<string>",
"exit_status": 123,
"shell_name": "<string>"
}Devbox
Write text file contents to Devbox filesystem.
Write UTF-8 string contents to a file at path on the Devbox. Note for large files (larger than 100MB), the upload_file endpoint must be used.
POST
/
v1
/
devboxes
/
{id}
/
write_file_contents
JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const devboxExecutionDetailView = await client.devboxes.writeFileContents('id', {
contents: 'contents',
file_path: 'file_path',
});
console.log(devboxExecutionDetailView.devbox_id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
devbox_execution_detail_view = client.devboxes.write_file_contents(
id="id",
contents="contents",
file_path="file_path",
)
print(devbox_execution_detail_view.devbox_id)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Devbox ID.
Body
application/json
Was this page helpful?
⌘I
